> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Manage Digital Plan Product

POST https://restapi.ordergroove.com/products/{product_id}/resource_grants/manage/
Content-Type: application/json

This API allows you to take an existing standard product and configure it into a valid digital plan product or to manage an existing configuration.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/products/manage-digital-plan-product

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /products/{product_id}/resource_grants/manage/:
    post:
      operationId: manage-digital-plan-product
      summary: Manage Digital Plan Product
      description: >-
        This API allows you to take an existing standard product and configure
        it into a valid digital plan product or to manage an existing
        configuration.
      tags:
        - products
      parameters:
        - name: product_id
          in: path
          required: true
          schema:
            type: string
            default: Merchant product id
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products_manage-digital-plan-product_Response_200
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Manage-digital-plan-productRequestBadRequestError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                create:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaCreateItems
                  description: Add new resource grants for your digital plan product
                update:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaUpdateItems
                  description: Update existing resource grants for product
                delete:
                  type: array
                  items:
                    type: string
                  description: >-
                    Delete existing resource grants with public ids to be
                    deleted , ex:
                    ["85eae83c245111eeb185acde48001122","b3928a0c3c4211eeac2bacde48001122"]
                identifier_time_amount:
                  type: string
                  default: product.every * product.every_period
                  description: >-
                    This is the time_amount for the identifier resource grant in
                    seconds
                identifier_grace_period:
                  type: string
                  description: >-
                    This is the grace_period for the identifier resource grant
                    in seconds
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaCreateItems:
      type: object
      properties:
        resource:
          type: string
          description: resource public_id
        time_amount:
          type: integer
          default: 1
          description: number of seconds to be granted for said resource
        grace_period:
          type: integer
          description: time in seconds to grant as a grace period
      title: >-
        ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaCreateItems
    ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaUpdateItems:
      type: object
      properties:
        public_id:
          type: string
          description: resource grant public id to be updated
        resource:
          type: string
          default: public id of resource
          description: public id of resource to grant to
        time_amount:
          type: string
          default: '1'
          description: time in seconds to grant for resource
        grace_period:
          type: integer
          description: time in seconds to grant as a grace period
      title: >-
        ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaUpdateItems
    Products_manage-digital-plan-product_Response_200:
      type: object
      properties: {}
      title: Products_manage-digital-plan-product_Response_200
    Manage-digital-plan-productRequestBadRequestError:
      type: object
      properties: {}
      title: Manage-digital-plan-productRequestBadRequestError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```